Bug 886485

Summary: [abrt] qemu-system-x86-1.0.1-2.fc17: cpu_abort: Process /usr/bin/qemu-system-i386 was killed by signal 6 (SIGABRT)
Product: [Fedora] Fedora Reporter: ethon
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: amit.shah, berrange, cfergeau, crobinso, dwmw2, fedora-bugs, itamar, knoel, pbonzini, rjones, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:e6b89941842e31a4bf6397e73683265cc4454e83
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-11 16:14:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
File: core_backtrace
File: environ
File: limits
File: backtrace
File: smolt_data
File: cgroup
File: executable
File: maps
File: dso_list
File: proc_pid_status
File: var_log_messages
File: open_fds none

Description ethon 2012-12-12 06:55:52 EST
Description of problem:
Trying to test an example multiboot kernel.

Version-Release number of selected component:

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        qemu-system-i386 -kernel kernel.bin
crash_function: cpu_abort
kernel:         3.6.8-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (9 frames)
: #2 cpu_abort at /usr/src/debug/qemu-kvm-1.0.1/exec.c:1928
: #3 get_page_addr_code at /usr/src/debug/qemu-kvm-1.0.1/exec-all.h:358
: #4 tb_gen_code at /usr/src/debug/qemu-kvm-1.0.1/exec.c:1013
: #5 tb_find_slow at /usr/src/debug/qemu-kvm-1.0.1/cpu-exec.c:124
: #6 tb_find_fast at /usr/src/debug/qemu-kvm-1.0.1/cpu-exec.c:151
: #7 cpu_x86_exec at /usr/src/debug/qemu-kvm-1.0.1/cpu-exec.c:534
: #8 tcg_cpu_exec at /usr/src/debug/qemu-kvm-1.0.1/cpus.c:1007
: #9 tcg_exec_all at /usr/src/debug/qemu-kvm-1.0.1/cpus.c:1039
: #10 qemu_tcg_cpu_thread_fn at /usr/src/debug/qemu-kvm-1.0.1/cpus.c:774
Comment 1 ethon 2012-12-12 06:55:58 EST
Created attachment 662296 [details]
File: core_backtrace
Comment 2 ethon 2012-12-12 06:56:00 EST
Created attachment 662297 [details]
File: environ
Comment 3 ethon 2012-12-12 06:56:02 EST
Created attachment 662298 [details]
File: limits
Comment 4 ethon 2012-12-12 06:56:05 EST
Created attachment 662299 [details]
File: backtrace
Comment 5 ethon 2012-12-12 06:56:08 EST
Created attachment 662300 [details]
File: smolt_data
Comment 6 ethon 2012-12-12 06:56:10 EST
Created attachment 662301 [details]
File: cgroup
Comment 7 ethon 2012-12-12 06:56:13 EST
Created attachment 662302 [details]
File: executable
Comment 8 ethon 2012-12-12 06:56:16 EST
Created attachment 662303 [details]
File: maps
Comment 9 ethon 2012-12-12 06:56:18 EST
Created attachment 662304 [details]
File: dso_list
Comment 10 ethon 2012-12-12 06:56:20 EST
Created attachment 662305 [details]
File: proc_pid_status
Comment 11 ethon 2012-12-12 06:56:23 EST
Created attachment 662306 [details]
File: var_log_messages
Comment 12 ethon 2012-12-12 06:56:25 EST
Created attachment 662307 [details]
File: open_fds
Comment 13 Tobias Mueller 2013-01-16 15:57:47 EST
reproducing bug 826251

$ qemu-system-x86_64 -s -S -kernel /opt/ubuntu/home/muelli/ubuntu-maverick/debian/build/build-generic/vmlinux -monitor stdio
QEMU 1.0.1 monitor - type 'help' for more information

Then, in another shell:
$ gdb
GNU gdb (GDB) Fedora (
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
(gdb) target remote localhost:1234
Remote debugging using localhost:1234
0x0000fff0 in ?? ()
(gdb) c
Remote connection closed

Back to the old shell:

qemu: fatal: Trying to execute code outside RAM or ROM at 0x00000000000a0000

EAX=00000000 EBX=00000000 ECX=00000000 EDX=00000000
ESI=00000000 EDI=00000000 EBP=00000000 ESP=00009fe0
EIP=0000fdfa EFL=00000002 [-------] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =9000 00090000 ffffffff 00cf9300
CS =9020 00090200 0000ffff 00009b00
SS =9000 00090000 0000ffff 00009300
DS =9000 00090000 0000ffff 00009300
FS =9000 00090000 0000ffff 00009300
GS =9000 00090000 0000ffff 00009300
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     000ca264 00000017
IDT=     00000000 000003ff
CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000 
DR6=00000000ffff0ff0 DR7=0000000000000400
CCS=00000000 CCD=00000000 CCO=ADDB    
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
Aborted (core dumped)

backtrace_rating: 4
Package: qemu-system-x86-1.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Fedora End Of Life 2013-07-04 00:14:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Cole Robinson 2013-07-11 16:14:31 EDT
WRT the multiboot kernel, providing an example kernel would help here. But since f17 EOL is coming up, this is unlikely to be fixed there. If someone can still reproduce with F19, please reopen.